<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_ParamentryRegs Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_ParamentryRegs Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResMgr.html">EDMA3 Resources Management</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_ParamentryRegs" -->EDMA3 PaRAM Set.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#0cf7a755d7bae28725d5473f55e4b285">OPT</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5cdf48fe9dfa1bf57634707cb0844272"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::SRC" ref="5cdf48fe9dfa1bf57634707cb0844272" args="" -->
volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#5cdf48fe9dfa1bf57634707cb0844272">SRC</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Starting byte address of Source For FIFO mode, srcAddr must be a 256-bit aligned address. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#86ce51bcde596db8686df5151d1e36f4">A_B_CNT</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="962a4fded1f7b63f8cc9150c924b97f5"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::DST" ref="962a4fded1f7b63f8cc9150c924b97f5" args="" -->
volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#962a4fded1f7b63f8cc9150c924b97f5">DST</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Starting byte address of destination For FIFO mode, destAddr must be a 256-bit aligned address. i.e. 5 LSBs should be 0. <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#fb5a2b7960d93156dbf7d5f1966b5b47">SRC_DST_BIDX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#4262be65b0dcae242b5e2dccd5b5b23f">LINK_BCNTRLD</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Address for linking (AutoReloading of a PaRAM Set) (16 bits) and Reload value of the numArrInFrame (BCNT) (16 bits).  <a href="#4262be65b0dcae242b5e2dccd5b5b23f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c2f5d7cc117f6078c9857ebb630cad17"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::SRC_DST_CIDX" ref="c2f5d7cc117f6078c9857ebb630cad17" args="" -->
volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#c2f5d7cc117f6078c9857ebb630cad17">SRC_DST_CIDX</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Index between consecutive frames of a Source Block (SRCCIDX) (16 bits) and Index between consecutive frames of a Dest Block (DSTCIDX) (16 bits). <br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a3ef14c588c533a40427f219242e7f2a"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::CCNT" ref="a3ef14c588c533a40427f219242e7f2a" args="" -->
volatile unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ParamentryRegs.html#a3ef14c588c533a40427f219242e7f2a">CCNT</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of Frames in a block (CCNT) (16 bits). <br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
EDMA3 PaRAM Set. 
<p>
This is a mapping of the EDMA3 PaRAM set provided to the user for ease of modification of the individual PaRAM words.<p>
It could be used by the advanced users to program the PaRAM Set directly, without using any API. <hr><h2>Field Documentation</h2>
<a class="anchor" name="86ce51bcde596db8686df5151d1e36f4"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::A_B_CNT" ref="86ce51bcde596db8686df5151d1e36f4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile unsigned int <a class="el" href="structEDMA3__RM__ParamentryRegs.html#86ce51bcde596db8686df5151d1e36f4">EDMA3_RM_ParamentryRegs::A_B_CNT</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of bytes in each Array (ACNT) (16 bits) and Number of Arrays in each Frame (BCNT) (16 bits). 
</div>
</div><p>
<a class="anchor" name="4262be65b0dcae242b5e2dccd5b5b23f"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::LINK_BCNTRLD" ref="4262be65b0dcae242b5e2dccd5b5b23f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile unsigned int <a class="el" href="structEDMA3__RM__ParamentryRegs.html#4262be65b0dcae242b5e2dccd5b5b23f">EDMA3_RM_ParamentryRegs::LINK_BCNTRLD</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Address for linking (AutoReloading of a PaRAM Set) (16 bits) and Reload value of the numArrInFrame (BCNT) (16 bits). 
<p>
Link field must point to a valid aligned 32-byte PaRAM set A value of 0xFFFF means no linking.<p>
B count reload field is relevant only for A-sync transfers. 
</div>
</div><p>
<a class="anchor" name="0cf7a755d7bae28725d5473f55e4b285"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::OPT" ref="0cf7a755d7bae28725d5473f55e4b285" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile unsigned int <a class="el" href="structEDMA3__RM__ParamentryRegs.html#0cf7a755d7bae28725d5473f55e4b285">EDMA3_RM_ParamentryRegs::OPT</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
OPT field of PaRAM Set 
</div>
</div><p>
<a class="anchor" name="fb5a2b7960d93156dbf7d5f1966b5b47"></a><!-- doxytag: member="EDMA3_RM_ParamentryRegs::SRC_DST_BIDX" ref="fb5a2b7960d93156dbf7d5f1966b5b47" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">volatile unsigned int <a class="el" href="structEDMA3__RM__ParamentryRegs.html#fb5a2b7960d93156dbf7d5f1966b5b47">EDMA3_RM_ParamentryRegs::SRC_DST_BIDX</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Index between consec. arrays of a Source Frame (SRCBIDX) (16 bits) and Index between consec. arrays of a Destination Frame (DSTBIDX) (16 bits).<p>
If SAM is set to 1 (via channelOptions) then srcInterArrIndex should be an even multiple of 32 bytes.<p>
If DAM is set to 1 (via channelOptions) then destInterArrIndex should be an even multiple of 32 bytes 
</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
